/******************************************************************************
**
**  Project Name:	IPkg Demo
**     File Name:	DemoIPkg.c
**
**   Description:	IPkg routine that uses a PKgs for the IPkg demo
**
**   Copyright 1995 Aladdin Systems, inc.
**
*******************************************************************************
**                       A U T H O R   I D E N T I T Y
*******************************************************************************
**
**	Initials	Name
**	--------	-----------------------------------------------
**	RMT			Robert Thorne
**
*******************************************************************************
**                      R E V I S I O N   H I S T O R Y
*******************************************************************************
**
**	  Date		Time	Author	Description
**	--------	-----	------	---------------------------------------------
**	05/03/95			RMT		Moved scraps into MW framework
**	08/03/95			RMT		Changed name of headers and some macros.
**
******************************************************************************/

#include "IMPackages256.h"
#include "IMExtensionsFor3_0.h"
#include "IPkgDemo.h"
#include <Strings.h>

#include "A4Globals.h" /* Quick trick to let us compile and test easier */

#if !GLOBALS_ALWAYS_AVAILABLE
	#define IPKG_MAIN main
#endif

#define kDemoStrLen 40

// Here's a shell for writing IPkg extensions.

pascal void  IPKG_MAIN(	unsigned long *packages,
						unsigned long *refCon)
{
	long			oldA4 ;
		
	// If we're running as a resource, we establish our A4 world here
	MAIN_SETUP_GLOBALS(oldA4) ;
	
	IPKGMain (packages, refCon) ;

	MAIN_RESTORE_GLOBALS(oldA4) ;
	
	return ;
	
}
	

// Hammer in our package bits
void	IPKGMain ( unsigned long *packages,unsigned long *refcon)
{
	Handle packData ;
	
	packData = GetPackagesFromPKgs( kPKgsID, packages ) ;
	
	
}


