/******************************************************************************
**
**  Project Name:	IPkg Demo
**     File Name:	IPkgDemo.c
**
**   Description:	Quick demo that munges an PKgs resource.
**
**   Copyright 1995 Aladdin Systems, inc.
**
*******************************************************************************
**                       A U T H O R   I D E N T I T Y
*******************************************************************************
**
**	Initials	Name
**	--------	-----------------------------------------------
**	RMT			Robert Thorne
**
*******************************************************************************
**                      R E V I S I O N   H I S T O R Y
*******************************************************************************
**
**	  Date		Time	Author	Description
**	--------	-----	------	---------------------------------------------
**	05/03/95			RMT		Moved scraps into MW framework
**
******************************************************************************/

#include "IPkgDemo.h"

// Routine for handling our custom 'PKgs' resource.

Handle GetPackagesFromPKgs ( short id, unsigned long *packages )
{
	unsigned long **packData ;
	Boolean			found = false ;
	
	packData = (unsigned long **) Get1Resource ( 'PKgs', id ) ;
	
	if ( packData )
	{
		packages [0] = (*packData)[0] ;
		packages [1] = (*packData)[1] ;
		packages [2] = (*packData)[2] ;
		packages [3] = (*packData)[3] ;
		found = true ;
	}
	else // activate all packages.
	{
		packages [0] = 0xFFFFFFFF ;
		packages [1] = 0xFFFFFFFF ;
		packages [2] = 0xFFFFFFFF ;
		packages [3] = 0xFFFFFFFF ;
	}
	
	return (Handle) packData ;	
	
	
}

