/******************************************************************************
**
**  Project Name:	IPkg WWDC Demo
**     File Name:	IPkgDemo.h
**
**   Description:	Quick demo that munges an PKgs resource.
**
**   Copyright 1995 Aladdin Systems, inc.
**
*******************************************************************************
**                       A U T H O R   I D E N T I T Y
*******************************************************************************
**
**	Initials	Name
**	--------	-----------------------------------------------
**	RMT			Robert Thorne
**
*******************************************************************************
**                      R E V I S I O N   H I S T O R Y
*******************************************************************************
**
**	  Date		Time	Author	Description
**	--------	-----	------	---------------------------------------------
**	05/03/95			RMT		Moved scraps into MW framework
**
******************************************************************************/

#ifndef __IPKGDEMO
	#define __IPKGDEMO
	
	
#define kPKgsID	 5555

#define iIBegStrItem 3

#ifdef __cplusplus
extern "C" {
#endif


pascal OSErr	SetDialogDefaultItem ( DialogPtr theDialog, short newItem )
				= { 0x303C , 0x0304 , 0xAA68 } ;
pascal OSErr	SetDialogCancelItem ( DialogPtr theDialog, short newItem )
				= { 0x303C , 0x0305 , 0xAA68 } ;
pascal OSErr	SetDialogTracksCursor ( DialogPtr theDialog, Boolean tracks )
				= { 0x303C , 0x0306 , 0xAA68 } ;
				

short IBegMain ( Str255 password, unsigned long *refCon ) ;
void  IPKGMain ( unsigned long *packages,unsigned long *refcon) ;

Handle GetPackagesFromPKgs ( short id, unsigned long *packages ) ;

	
	
#ifdef __cplusplus
}
#endif	
	
#endif __IPKGDEMO